apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: windows-vm-for-velero
spec:
  dataVolumeTemplates:
  - metadata:
      name: windows-dv-for-velero
    spec:
      contentType: kubevirt
      source:
        http:
          url: http://cnv-qe-server.rhos-psi.cnv-qe.rhood.us/files/cnv-tests/windows-images/win_2022.qcow2
      storage:
        resources:
          requests:
            storage: 70Gi
        storageClassName: ocs-storagecluster-ceph-rbd-virtualization
  running: true
  template:
    spec:
      domain:
        clock:
          timer:
            hpet:
              present: false
            hyperv: {}
            pit:
              tickPolicy: delay
            rtc:
              tickPolicy: catchup
          utc: {}
        cpu:
          cores: 1
          sockets: 1
          threads: 2
        devices:
          disks:
          - disk:
              bus: sata
            name: rootdisk
          inputs:
          - bus: usb
            name: tablet
            type: tablet
          interfaces:
          - masquerade: {}
            model: e1000e
            name: default
          rng: {}
          tpm: {}
        features:
          acpi: {}
          apic: {}
          hyperv:
            frequencies: {}
            ipi: {}
            reenlightenment: {}
            relaxed: {}
            reset: {}
            runtime: {}
            spinlocks:
              spinlocks: 8191
            synic: {}
            synictimer:
              direct: {}
            tlbflush: {}
            vapic: {}
            vpindex: {}
          smm: {}
        firmware:
          bootloader:
            efi:
              secureBoot: true
        machine:
          type: pc-q35-rhel9.2.0
        memory:
          guest: 8Gi
      evictionStrategy: None
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 180
      volumes:
      - dataVolume:
          name: windows-dv-for-velero
        name: rootdisk
